aboutsummaryrefslogtreecommitdiffstats
path: root/testing/wxgtk/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@st.ilet.to>2016-07-06 08:13:31 +0000
committerBartłomiej Piotrowski <bpiotrowski@mirantis.com>2016-07-06 13:36:09 +0200
commit80184bbe42a9ba56800ca40b6695b33bf98ad043 (patch)
treeb54e0b4c653a6be70643cd960beb712b46633a51 /testing/wxgtk/APKBUILD
parent72c412d0cd82eee04daa00ef9ba6adb203618502 (diff)
downloadaports-80184bbe42a9ba56800ca40b6695b33bf98ad043.tar.bz2
aports-80184bbe42a9ba56800ca40b6695b33bf98ad043.tar.xz
testing/wxgtk: new aport
GTK2 port of wxWidgets3.0 GUI library http://www.wxwidgets.org
Diffstat (limited to 'testing/wxgtk/APKBUILD')
-rw-r--r--testing/wxgtk/APKBUILD75
1 files changed, 75 insertions, 0 deletions
diff --git a/testing/wxgtk/APKBUILD b/testing/wxgtk/APKBUILD
new file mode 100644
index 0000000000..0be8f42544
--- /dev/null
+++ b/testing/wxgtk/APKBUILD
@@ -0,0 +1,75 @@
+# Contributor: Pavel Kalian <pavel@kalian.cz>
+# Maintainer: ScrumpyJack <scrumpyjack@st.ilet.to>
+pkgname=wxgtk
+pkgver=3.0.2
+pkgrel=0
+pkgdesc="GTK2 port of wxWidgets GUI library"
+url="http://www.wxwidgets.org/"
+arch="all"
+license="wxWidgets"
+depends=""
+depends_dev="gtk+2.0-dev mesa-dev zlib-dev tiff-dev libjpeg-turbo-dev expat-dev
+ libsm-dev"
+makedepends="$depends_dev glu-dev sdl-dev gst-plugins-base0.10-dev
+ gstreamer0.10-dev gconf-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-lang $pkgname-media $pkgname-base"
+source="https://github.com/wxWidgets/wxWidgets/releases/download/v${pkgver}/wxWidgets-${pkgver}.tar.bz2
+ config-allow-musl.patch"
+
+builddir="$srcdir/wxWidgets-$pkgver"
+
+build() {
+cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --with-sdl \
+ --with-opengl \
+ --enable-unicode \
+ --enable-aui \
+ --enable-no_deps \
+ --enable-shared \
+ --enable-sound \
+ --enable-mediactrl \
+ --disable-rpath \
+ --disable-optimise \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+dev() {
+ default_dev
+ mv "$pkgdir"/usr/lib/wx/config "$subpkgdir"/usr/lib/wx/ || return 1
+ mv "$pkgdir"/usr/bin/wxrc* "$subpkgdir"/usr/bin/ || return 1
+ mv "$pkgdir"/usr/share/bakefile "$subpkgdir"/usr/share/ || return 1
+}
+
+media() {
+ pkdesc="Multimedia add-on for the wxWidgets library"
+
+ mkdir -p "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/lib/libwx_gtk2u_media-*.so.* "$subpkgdir"/usr/lib/
+}
+
+base() {
+ pkgdesc="Non-GUI support classes from the wxWidgets library"
+ mkdir -p "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/lib/libwx_baseu-*.so.* \
+ "$pkgdir"/usr/lib/libwx_baseu_net-*.so.* \
+ "$pkgdir"/usr/lib/libwx_baseu_xml-*.so.* \
+ "$subpkgdir"/usr/lib/
+}
+
+md5sums="ba4cd1f3853d0cd49134c5ae028ad080 wxWidgets-3.0.2.tar.bz2
+4e830ce35be68f904b80c34093153350 config-allow-musl.patch"
+sha256sums="346879dc554f3ab8d6da2704f651ecb504a22e9d31c17ef5449b129ed711585d wxWidgets-3.0.2.tar.bz2
+0517cf79f2d2bdc9132e5da2e4717f37b002bf09de77ee5dbe7a46447dee92cb config-allow-musl.patch"
+sha512sums="098f79863103f3be0b7e21e4f0f1b34ab5277ef0033c1ef1387a9c673b0e0b76a2d732b183fa11b22cfcbbfdb7a4884f243d12f65cd49baa1772852307b393c4 wxWidgets-3.0.2.tar.bz2
+dbe80fbf36afe26bbec66d93842ae849eb29e33d05b762f7eb90f933db7bd415ff174a18c9acb7e71221e9ca9fd70c0c3cebe1fd0f77f348182ddb1a640b4f62 config-allow-musl.patch"